GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
completion_match Class Reference

`#include "completer.h"`

## Public Member Functions
const char * | match ()
void | set_match (const char *match)
std::string & | storage ()
void | clear ()

## Private Attributes
const char * | m_match
std::string | m_storage

## Detailed Description

Definition at line 79 of file completer.h.

## Member Function Documentation

## ◆ clear()

void completion_match::clear | ( |  | ) |
| inline

Definition at line 99 of file completer.h.

References m_match, and m_storage.

Referenced by completion_tracker::reset_completion_match_result().

## ◆ match()

const char* completion_match::match | ( |  | ) |
| inline

Definition at line 84 of file completer.h.

References m_match.

Referenced by completion_list_add_name(), and set_match().

## ◆ set_match()

void completion_match::set_match | ( | const char * | match | ) |
| inline

Definition at line 89 of file completer.h.

References m_match, and match().

Referenced by completion_match_result::set_match().

## ◆ storage()

std::string& completion_match::storage | ( |  | ) |
| inline

Definition at line 95 of file completer.h.

References m_storage.

Referenced by ada_lookup_name_info::matches().

## Member Data Documentation

## ◆ m_match

const char* completion_match::m_match
| private

Definition at line 110 of file completer.h.

Referenced by clear(), match(), and set_match().

## ◆ m_storage

std::string completion_match::m_storage
| private

Definition at line 116 of file completer.h.

Referenced by clear(), and storage().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/completer.h